Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.validators
Class DWRValidator.ValidatorActionInvocation

    java.lang.Object
      com.opensymphony.xwork2.DefaultActionInvocation
          org.apache.struts2.validators.DWRValidator.ValidatorActionInvocation

All Implemented Interfaces:
  ActionInvocation, Serializable

Enclosing class:
  DWRValidator

    public static class DWRValidator.ValidatorActionInvocation

extends DefaultActionInvocation

See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID`

Fields inherited from class com.opensymphony.xwork2.DefaultActionInvocation
`action, actionEventListener, executed, extraContext, interceptors, invocationContext, objectFactory, preResultListeners, proxy, pushAction, result, resultCode, stack, unknownHandler`

Constructor Summary
`protected` | `DWRValidator.ValidatorActionInvocation(ObjectFactory objectFactory, UnknownHandler handler, ActionProxy proxy, Map extraContext)`

Method Summary
`protected String` | `invokeAction(Object action, ActionConfig actionConfig)`

Methods inherited from class com.opensymphony.xwork2.DefaultActionInvocation
`addPreResultListener, createAction, createContextMap, createResult, getAction, getInvocationContext, getProxy, getResult, getResultCode, getStack, invoke, invokeActionOnly, isExecuted, setActionEventListener, setResultCode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### DWRValidator.ValidatorActionInvocation

    protected DWRValidator.ValidatorActionInvocation(ObjectFactory objectFactory,
                                                     UnknownHandler handler,
                                                     ActionProxy proxy,
                                                     Map extraContext)
                                              throws Exception

Throws:
  `Exception`

Method Detail

### invokeAction

    protected String invokeAction(Object action,
                                  ActionConfig actionConfig)
                           throws Exception

  Overrides:
    `invokeAction` in class `DefaultActionInvocation`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.